
Katello - Bug #19686

Errors syncing ostree repo to foreman-proxy-content capsule

05/26/2017 09:37 AM - Thomas McKay

Status: Need more information   

Priority: High   

Assignee: Partha Aji   

Category: Foreman Proxy Content   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

To reproduce:

Enable "Red Hat Enterprise Linux Atomic Host Trees Host Trees" in "Red Hat Enterprise Linux Atomic Host" product

Do not sync

Add this repo to a content view

Publish the content view

Promote to an environment

Add environment to foreman proxy content

Synchronize foreman proxy content

Note below error

Actions::Pulp::Repository::Create

Input:

{"content_type"=>"ostree",

 "pulp_id"=>"3-Atomic_Host-Development-9b2688c7-5507-4971-91d1-a5c6589e1f0a",

 "name"=>"Red Hat Enterprise Linux Atomic Host Trees Host Trees",

 "feed"=>

  "https://devel.example.com/pulp/ostree/web/examplecorp/Development/Atomic_Host/content/dist/rhel

/atomic/7/7Server/x86_64/ostree/repo",

 "ssl_ca_cert"=>

  "Certificate:\n    Data:\n        Version: 3 (0x2)\n        Serial Number: 15922018172230953189 

(0xdcf65f2b4f23e8e5)\n    Signature Algorithm: sha256WithRSAEncryption\n        Issuer: C=US, ST=N

orth Carolina, L=Raleigh, O=Katello, OU=SomeOrgUnit, CN=devel.example.com\n        Validity\n     

       Not Before: May 24 18:25:51 2017 GMT\n            Not After : Jan 17 18:25:51 2038 GMT\n   

     Subject: C=US, ST=North Carolina, L=Raleigh, O=Katello, OU=SomeOrgUnit, CN=devel.example.com\

n        Subject Public Key Info:\n            Public Key Algorithm: rsaEncryption\n              

  Public-Key: (2048 bit)\n                Modulus:\n                    00:b2:d6:12:cb:25:15:fa:86

:31:1c:88:73:cc:d7:\n                    11:4f:c9:d6:45:44:0b:8c:e6:37:35:38:0b:cb:5a:\n          

          e1:da:bb:a4:e7:1e:81:f1:2c:32:27:ca:db:0e:aa:\n                    2a:10:e6:ed:f9:f5:62:

27:6c:5c:4f:f4:d9:06:97:\n                    87:08:77:df:f7:00:fa:d5:5b:55:a0:b1:e2:41:12:\n     

               8c:c9:fc:e5:9a:44:56:49:49:ee:4e:b0:97:5f:d1:\n                    5f:7a:c7:5e:7b:c

9:db:ff:0b:f6:b4:b1:d2:cd:bf:\n                    75:8e:2b:e2:b1:85:55:8d:5b:e2:94:9e:02:db:9f:\n

                    70:a9:67:4d:28:f1:b7:8b:1c:0b:a6:f3:00:75:4c:\n                    fa:be:cc:0f

:bb:78:e2:a0:7d:ac:06:fb:9d:d7:10:\n                    0a:db:28:46:54:61:26:f4:c5:b9:39:07:1a:2f:

33:\n                    27:ef:11:10:41:ff:a7:7f:07:d9:fd:db:33:62:79:\n                    b4:26:

a1:dd:c9:36:69:26:e5:c4:a1:ca:d6:5a:27:\n                    0e:fa:5b:b6:77:11:76:ce:b5:d0:38:57:1

6:33:fa:\n                    96:d8:ab:db:4b:17:6b:18:9d:62:46:30:ce:51:9a:\n                    8

b:da:93:3c:88:63:8c:e3:ea:69:71:f8:04:16:58:\n                    0a:f8:b5:e6:72:b9:b4:69:cc:70:73

:79:ce:f9:c5:\n                    eb:17\n                Exponent: 65537 (0x10001)\n        X509v

3 extensions:\n            X509v3 Basic Constraints: \n                CA:TRUE\n            X509v3

 Key Usage: \n                Digital Signature, Key Encipherment, Certificate Sign, CRL Sign\n   

         X509v3 Extended Key Usage: \n                TLS Web Server Authentication, TLS Web Clien

t Authentication\n            Netscape Cert Type: \n                SSL Server, SSL CA\n          

  Netscape Comment: \n                Katello SSL Tool Generated Certificate\n            X509v3 S

ubject Key Identifier: \n                E9:B7:ED:B0:31:09:FC:19:96:DE:E0:9B:2D:6F:61:C4:E9:56:D3:

2B\n            X509v3 Authority Key Identifier: \n                keyid:E9:B7:ED:B0:31:09:FC:19:9

6:DE:E0:9B:2D:6F:61:C4:E9:56:D3:2B\n                DirName:/C=US/ST=North Carolina/L=Raleigh/O=Ka
tello/OU=SomeOrgUnit/CN=devel.example.com\n                serial:DC:F6:5F:2B:4F:23:E8:E5\n\n    S

ignature Algorithm: sha256WithRSAEncryption\n         7d:1b:02:65:b6:00:86:a9:23:7e:cc:7b:25:1a:fb

:de:dc:17:\n         48:d4:46:97:cc:f7:38:e9:01:1b:92:4b:68:fa:51:bd:95:39:\n         1f:29:f7:88:

19:24:8e:32:75:4c:47:a6:98:09:75:a9:9c:8a:\n         68:d8:44:cb:66:13:bc:3a:eb:c7:a7:3f:a5:05:82:

25:c3:71:\n         c0:82:01:3f:3d:59:eb:aa:45:ae:d7:3c:be:be:98:6b:db:05:\n         11:65:b3:fc:1

c:04:9f:3e:30:18:a6:16:24:26:46:c8:52:b9:\n         55:da:d3:28:47:bf:6a:83:30:84:c2:53:12:e7:34:9

0:b4:6c:\n         0e:25:8c:13:bc:69:fc:53:63:9b:0c:09:e0:75:79:05:db:4d:\n         cc:7f:f7:c7:17

:04:27:9d:83:b3:51:25:b2:b3:86:5b:73:ab:\n         b5:72:cf:b8:f2:62:34:0c:a0:c5:e2:aa:18:03:75:bb

:91:74:\n         23:21:52:53:af:b0:03:76:2b:01:e4:b6:0c:d5:f7:7a:11:55:\n         45:81:5b:52:8d:

54:c7:86:3a:6b:cb:b6:30:bd:d2:fd:b0:04:\n         3d:56:67:29:90:a3:f3:0a:75:df:ca:f8:00:d6:f3:47:

71:7b:\n         88:65:2b:95:dc:69:4d:fe:ab:e3:9f:d9:67:36:c9:4d:87:ae:\n         ec:9b:35:f6\n---

--BEGIN CERTIFICATE-----\nMIIE1jCCA76gAwIBAgIJANz2XytPI+jlMA0GCSqGSIb3DQEBCwUAMHwxCzAJBgNV\nBAYTAl

VTMRcwFQYDVQQIEw5Ob3J0aCBDYXJvbGluYTEQMA4GA1UEBxMHUmFsZWln\naDEQMA4GA1UEChMHS2F0ZWxsbzEUMBIGA1UECx

MLU29tZU9yZ1VuaXQxGjAYBgNV\nBAMTEWRldmVsLmV4YW1wbGUuY29tMB4XDTE3MDUyNDE4MjU1MVoXDTM4MDExNzE4\nMjU1

MVowfDELMAkGA1UEBhMCVVMxFzAVBgNVBAgTDk5vcnRoIENhcm9saW5hMRAw\nDgYDVQQHEwdSYWxlaWdoMRAwDgYDVQQKEwdL

YXRlbGxvMRQwEgYDVQQLEwtTb21l\nT3JnVW5pdDEaMBgGA1UEAxMRZGV2ZWwuZXhhbXBsZS5jb20wggEiMA0GCSqGSIb3\nDQ

EBAQUAA4IBDwAwggEKAoIBAQCy1hLLJRX6hjEciHPM1xFPydZFRAuM5jc1OAvL\nWuHau6TnHoHxLDInytsOqioQ5u359WInbF

xP9NkGl4cId9/3APrVW1WgseJBEozJ\n/OWaRFZJSe5OsJdf0V96x157ydv/C/a0sdLNv3WOK+KxhVWNW+KUngLbn3CpZ00o\n

8beLHAum8wB1TPq+zA+7eOKgfawG+53XEArbKEZUYSb0xbk5BxovMyfvERBB/6d/\nB9n92zNiebQmod3JNmkm5cShytZaJw76

W7Z3EXbOtdA4VxYz+pbYq9tLF2sYnWJG\nMM5RmovakzyIY4zj6mlx+AQWWAr4teZyubRpzHBzec75xesXAgMBAAGjggFZMIIB

\nVTAMBgNVHRMEBTADAQH/MAsGA1UdDwQEAwIBpjAdBgNVHSUEFjAUBggrBgEFBQcD\nAQYIKwYBBQUHAwIwEQYJYIZIAYb4Qg

EBBAQDAgJEMDUGCWCGSAGG+EIBDQQoFiZL\nYXRlbGxvIFNTTCBUb29sIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4EFg

QU\n6bftsDEJ/BmW3uCbLW9hxOlW0yswga8GA1UdIwSBpzCBpIAU6bftsDEJ/BmW3uCb\nLW9hxOlW0yuhgYCkfjB8MQswCQYD

VQQGEwJVUzEXMBUGA1UECBMOTm9ydGggQ2Fy\nb2xpbmExEDAOBgNVBAcTB1JhbGVpZ2gxEDAOBgNVBAoTB0thdGVsbG8xFDAS

BgNV\nBAsTC1NvbWVPcmdVbml0MRowGAYDVQQDExFkZXZlbC5leGFtcGxlLmNvbYIJANz2\nXytPI+jlMA0GCSqGSIb3DQEBCw

UAA4IBAQB9GwJltgCGqSN+zHslGvve3BdI1EaX\nzPc46QEbkkto+lG9lTkfKfeIGSSOMnVMR6aYCXWpnIpo2ETLZhO8OuvHpz

+lBYIl\nw3HAggE/PVnrqkWu1zy+vphr2wURZbP8HASfPjAYphYkJkbIUrlV2tMoR79qgzCE\nwlMS5zSQtGwOJYwTvGn8U2Ob

DAngdXkF203Mf/fHFwQnnYOzUSWys4Zbc6u1cs+4\n8mI0DKDF4qoYA3W7kXQjIVJTr7ADdisB5LYM1fd6EVVFgVtSjVTHhjpr

y7YwvdL9\nsAQ9VmcpkKPzCnXfyvgA1vNHcXuIZSuV3GlN/qvjn9lnNslNh67smzX2\n-----END CERTIFICATE-----\n",

 "ssl_client_cert"=>

  "-----BEGIN CERTIFICATE-----\nMIIG0zCCBbugAwIBAgIIVynlC2oL8r0wDQYJKoZIhvcNAQEFBQAwfDELMAkGA1UE\n

BhMCVVMxFzAVBgNVBAgTDk5vcnRoIENhcm9saW5hMRAwDgYDVQQHEwdSYWxlaWdo\nMRAwDgYDVQQKEwdLYXRlbGxvMRQwEgYD

VQQLEwtTb21lT3JnVW5pdDEaMBgGA1UE\nAxMRZGV2ZWwuZXhhbXBsZS5jb20wHhcNMTcwNTI0MTkzNTI3WhcNNDkxMjAxMTMw

\nMDAwWjAWMRQwEgYDVQQKEwtleGFtcGxlY29ycDCCASIwDQYJKoZIhvcNAQEBBQAD\nggEPADCCAQoCggEBAJf0dVEHnJ+i2v

XnOpN/3v533jg+7LXpl6lwGAMILwTK5NdQ\nIlqp966bnZi/nn6EAsmYIFrWo3VfxU+dnR+Xx4BWFwW6zosBWN21/ADyqjCaxx

ec\nzEFWHqZVl1xbrKDsb3TL1cGEtArooJ7lwBywYMn7LmckcblC07PVNVodf5aUehsM\na35Z+2uq3eOrHhB95z1BMAwmwn1O

B3oAeJ8fb1VGaB3H9GOKyvXL6HvtTCL4Lh+Y\nPrTwCXvfPEtLm55QuRqfdsI6/oszX5Y23WQSOdjaul3oWfDXejXsHPOIh5qJ

tI+r\nKOKcCVmzPkd9NNmVt58QK/jt7crjZ6A/idn2+o0CAwEAAaOCA70wggO5MBEGCWCG\nSAGG+EIBAQQEAwIFoDALBgNVHQ

8EBAMCBLAwga8GA1UdIwSBpzCBpIAU6bftsDEJ\n/BmW3uCbLW9hxOlW0yuhgYCkfjB8MQswCQYDVQQGEwJVUzEXMBUGA1UECB

MOTm9y\ndGggQ2Fyb2xpbmExEDAOBgNVBAcTB1JhbGVpZ2gxEDAOBgNVBAoTB0thdGVsbG8x\nFDASBgNVBAsTC1NvbWVPcmdV

bml0MRowGAYDVQQDExFkZXZlbC5leGFtcGxlLmNv\nbYIJANz2XytPI+jlMB0GA1UdDgQWBBRv8kO3awTwiCVWJyl6Nh1g6wo8

cDATBgNV\nHSUEDDAKBggrBgEFBQcDAjAvBhArBgEEAZIICQGrw9/T4nwBBBsMGWV4YW1wbGVj\nb3JwX3VlYmVyX3Byb2R1Y3

QwFgYQKwYBBAGSCAkBq8Pf0+J8AwQCDAAwFgYQKwYB\nBAGSCAkBq8Pf0+J8AgQCDAAwFgYQKwYBBAGSCAkBq8Pf0+J8BQQCDA

AwGQYQKwYB\nBAGSCAkCq8Pf0+J9AQQFDAN5dW0wJAYRKwYBBAGSCAkCq8Pf0+J9AQEEDwwNdWVi\nZXJfY29udGVudDAyBhEr

BgEEAZIICQKrw9/T4n0BAgQdDBsxNDk1NjU0NTI3MzU2\nX3VlYmVyX2NvbnRlbnQwHQYRKwYBBAGSCAkCq8Pf0+J9AQUECAwG

Q3VzdG9tMCMG\nESsGAQQBkggJAqvD39PifQEGBA4MDC9leGFtcGxlY29ycDAXBhErBgEEAZIICQKr\nw9/T4n0BBwQCDAAwGA

YRKwYBBAGSCAkCq8Pf0+J9AQgEAwwBMTApBgorBgEEAZII\nCQQBBBsMGWV4YW1wbGVjb3JwX3VlYmVyX3Byb2R1Y3QwEAYKKw

YBBAGSCAkEAgQC\nDAAwHQYKKwYBBAGSCAkEAwQPDA0xNDk1NjU0NTI3MzU2MBEGCisGAQQBkggJBAUE\nAwwBMTAkBgorBgEE

AZIICQQGBBYMFDIwMTctMDUtMjRUMTk6MzU6MjdaMCQGCisG\nAQQBkggJBAcEFgwUMjA0OS0xMi0wMVQxMzowMDowMFowEQYK

KwYBBAGSCAkEDAQD\nDAEwMBAGCisGAQQBkggJBAoEAgwAMBAGCisGAQQBkggJBA0EAgwAMBEGCisGAQQB\nkggJBA4EAwwBMD

ARBgorBgEEAZIICQQLBAMMATEwNAYKKwYBBAGSCAkFAQQmDCQ0\nOTRiY2VkMy0zM2NjLTQxYzktOWE5Zi03ZjYwOTMxMGZjNm

UwDQYJKoZIhvcNAQEF\nBQADggEBAIHntxQxiT5yK8ttWgRoICJvY5wNa6kH7yIQCwCdxMALsU5uO9Xbps8y\nHt252IQ6fnrO

BNBYS5+WOV5NWL1oJJzHj8M8qzuDRFOwAO3oS3FiLDSZ/C8eaE8h\nDjWrEnvUyYYnnnG95TTAH1IUJYAp1RZ2hDaMbA8lreOc

fuV9b8Ga1iAeXj+LnTRe\nW4snCSn6ZfHEB7rKKu6L589nvCINrvkXSxj3wlgPwt0jAlVRAGvW2Kkjv/srrnxt\nifSVxowTZ7

FwFzqy4Ssx/ST4+5uEQ3Ca+LjwqUtBJHwVWASN8ZS2lhV+O68KZxfa\nkeqCLNswhXmkzI+g21lH6/76hKpVZAE=\n-----END

 CERTIFICATE-----\n",

 "ssl_client_key"=>

  "-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEAl/R1UQecn6La9ec6k3/e/nfeOD7stemXqXAYAwgvBMrk11

Ai\nWqn3rpudmL+efoQCyZggWtajdV/FT52dH5fHgFYXBbrOiwFY3bX8APKqMJrHF5zM\nQVYeplWXXFusoOxvdMvVwYS0Cuig

nuXAHLBgyfsuZyRxuULTs9U1Wh1/lpR6Gwxr\nfln7a6rd46seEH3nPUEwDCbCfU4HegB4nx9vVUZoHcf0Y4rK9cvoe+1MIvgu

H5g+\ntPAJe988S0ubnlC5Gp92wjr+izNfljbdZBI52Nq6XehZ8Nd6Newc84iHmom0j6so\n4pwJWbM+R3002ZW3nxAr+O3tyu

NnoD+J2fb6jQIDAQABAoIBAAtAkfNnIeT8VUSC\nU+caP/QOAkmd9z9dRdrJLy4CTCEJuTpsd67JCUtHwLrP7bempOIyvqqbXE

1TwzOr\nEziEr8REG75T3/mRJvh8AmY7kfi5bWbFOKbZ7rkYe3XeYAEmoPZAJdsHraFlKoe5\nsakuMmyiigQfQcCbPzwA3MuI

hasrxE0fN32UGvgABaMwOfqEGN7yE3PGogbT0zxZ\nNqbytwhIJHAdd22XGOcfJQLYU8tCNZb3TXejsfD4jTcb/WozUffzzssm

0/yalEra\nTKDMQImrUjCcZ6KOMutYJvgm/WqzvWDpLK8YIxl0xm4szJ0KrJbIim1bfmKVEA5K\nSk96V8ECgYEAxXtp08SJr3

lqQFg/SDVPSRUzukhqZmXC+Fof1q0xeViuDLbT3oZM\nV0oAbSGBNBxrxs55GsWrP/2tAxc1s3LuPGmmFeT1RdVdgelvIbb4tQ

Skj3KllZ4m\nFBMh3M0A8Ns+QlS5fQRUL/ToH9yv679Oa9lAHDqV5QL97N7uMEsuOf0CgYEAxPty\nc5ovOCi+mobWzisK/ZSd
3vUoqu4kPonUjXgbv+rPExEvgcoe0/uNOpNgFe/4jQZG\nGbQ7XeYW44BMvXvlgubKtQ6PxsWhfWG8vE3Wge6Krpa49/fdXj9T

Ed82bZCnmQVE\nZ/a2uKgptQYJHb/0LhpCkpIyETeL3/cofS1EH9ECgYEAkCyHmGl2M7uqjItgt/Dj\nj3GBMFDKDTPh4bq6X9

pVskfB2dpoV58ogNmv8fxx/X96V8xJsff6DF/BPe5l8DrK\nHyTqcjWTs4YQHFY2IiEY9d8L3QZQSSkKl8FYCYFJXI5Tp81/Ff

xhEhn0lb5iWPRz\n5lzXZ0SGRommpJYkwvFAMGkCgYACwx/kvRnCaNfbZN6oP3RFAAuCr99lHjfF5Lrl\nTPTeqRVESC5pXIM4

J8PgOWbUh+vtVlQvUhavB2X0xLzOv2kFf+UByvV7LRRJpNA3\nt8O1SLoLHrPzTjd9ddfdXUrvGGMxQyClcJE5X6pODoqcLy/m

YZnjYkdvdF7ywg2A\nS90zsQKBgE61ZPWbN0IFQ1cyiLp8kSYMnSSGLwqqV0QvGU4hJvFiMVEviqA67AzS\nSj3xlY8lcQRggy

ieyWBrjY98nms7tvvWe+otycGbRIwCHz6dmRl10Knp1P8yZ1r8\nYbMKUI8d5T3WMfIjDqJr+o23MjNVqZpDPlzyl3POzG6V+B

u2af0T\n-----END RSA PRIVATE KEY-----\n",

 "unprotected"=>false,

 "checksum_type"=>nil,

 "path"=>

  "examplecorp/Development/Atomic_Host/content/dist/rhel/atomic/7/7Server/x86_64/ostree/repo",

 "with_importer"=>true,

 "docker_upstream_name"=>nil,

 "download_policy"=>nil,

 "capsule_id"=>2,

 "remote_user"=>"admin",

 "remote_cp_user"=>"admin",

 "locale"=>"en"}

Output:

{}

Exception:

RestClient::BadRequest: 400 Bad Request

Backtrace:

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/abstract_response.rb:223:

in `exception_with_response'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/abstract_response.rb:103:

in `return!'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/base.rb:79:in `block in get_re

sponse'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:807:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:807:in `proces

s_result'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:725:in `block 

in transmit'

/home/vagrant/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/net/http.rb:853:in `start'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:715:in `transm

it'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:145:in `execut

e'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:52:in `execute

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/resource.rb:67:in `post'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/base.rb:78:in `get_response'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/base.rb:66:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/resources/repository.rb:22:in 

`create'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/extensions/repository.rb:69:in

 `create_with_importer_and_distributors'

/home/vagrant/code/katello/app/lib/actions/pulp/repository/create.rb:32:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:512:in `block (3 leve

ls) in execute_run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:30:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:16:in `block in run'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:40:in `block in as_remote_u

ser'

/home/vagrant/code/katello/app/models/katello/concerns/user_extensions.rb:21:in `cp_config'
/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:27:in `as_cp_user'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:39:in `as_remote_user'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:16:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action/progress.rb:30:in `with_

progress_calculation'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action/progress.rb:16:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/code/katello/app/lib/actions/middleware/keep_locale.rb:11:in `block in run'

/home/vagrant/code/katello/app/lib/actions/middleware/keep_locale.rb:22:in `with_locale'

/home/vagrant/code/katello/app/lib/actions/middleware/keep_locale.rb:11:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:30:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/world.rb:30:in `exec

ute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:511:in `block (2 leve

ls) in execute_run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:510:in `catch'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:510:in `block in exec

ute_run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:425:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:425:in `block in with

_error_handling'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:425:in `catch'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:425:in `with_error_ha

ndling'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:505:in `execute_run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:266:in `execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract_f

low_step.rb:9:in `block (2 levels) in execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract.r

b:155:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract.r

b:155:in `with_meta_calculation'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract_f

low_step.rb:8:in `block in execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract_f

low_step.rb:22:in `open_action'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract_f

low_step.rb:7:in `execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/director.rb:42:in `execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/executors/parallel/worker.rb:11

:in `on_message'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/context.rb

:46:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

executes_context.rb:7:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/actor.rb:26:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/
awaits.rb:15:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

sets_results.rb:14:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

buffer.rb:38:in `process_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

buffer.rb:31:in `process_envelopes?'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

buffer.rb:20:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

termination.rb:55:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

removes_child.rb:10:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

sets_results.rb:14:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:16

1:in `process_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:95

:in `block in on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:11

8:in `block (2 levels) in schedule_execution'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_l

ockable_object.rb:38:in `block in synchronize'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_l

ockable_object.rb:38:in `synchronize'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_l

ockable_object.rb:38:in `synchronize'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:11

5:in `block in schedule_execution'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_e

xecution.rb:18:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_e

xecution.rb:18:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_e

xecution.rb:96:in `work'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_e

xecution.rb:77:in `block in call_job'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:348:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:348:in `run_task'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:337:in `block (3 levels) in create_worker'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:320:in `loop'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:320:in `block (2 levels) in create_worker'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:319:in `catch'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:319:in `block in create_worker'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `ca

ll'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `bl

ock in create_with_logging_context'

Action:

Actions::Pulp::Consumer::UnassociateUnits
Input:

{"capsule_id"=>2,

 "repo_pulp_id"=>

  "3-Atomic_Host-Development-9b2688c7-5507-4971-91d1-a5c6589e1f0a",

 "remote_user"=>"admin",

 "remote_cp_user"=>"admin",

 "locale"=>"en"}

Output:

{}

Exception:

RestClient::NotFound: 404 Not Found

Backtrace:

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/abstract_response.rb:223:

in `exception_with_response'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/abstract_response.rb:103:

in `return!'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/base.rb:79:in `block in get_re

sponse'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:807:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:807:in `proces

s_result'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:725:in `block 

in transmit'

/home/vagrant/.rvm/rubies/ruby-2.2.4/lib/ruby/2.2.0/net/http.rb:853:in `start'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:715:in `transm

it'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:145:in `execut

e'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/request.rb:52:in `execute

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-2.0.2/lib/restclient/resource.rb:67:in `post'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/base.rb:78:in `get_response'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/base.rb:66:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/runcible-2.0.1/lib/runcible/resources/repository.rb:137:in

 `unassociate_units'

/home/vagrant/code/katello/app/lib/actions/pulp/consumer/unassociate_units.rb:15:in `invoke_extern

al_task'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action/polling.rb:83:in `initia

te_external_action'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action/polling.rb:18:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action/cancellable.rb:9:in `run

'

/home/vagrant/code/katello/app/lib/actions/pulp/abstract_async_task.rb:45:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:512:in `block (3 leve

ls) in execute_run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:30:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:16:in `block in run'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:40:in `block in as_remote_u

ser'

/home/vagrant/code/katello/app/models/katello/concerns/user_extensions.rb:21:in `cp_config'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:27:in `as_cp_user'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:39:in `as_remote_user'

/home/vagrant/code/katello/app/lib/actions/middleware/remote_action.rb:16:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action/progress.rb:30:in `with_

progress_calculation'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action/progress.rb:16:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/code/katello/app/lib/actions/middleware/keep_locale.rb:11:in `block in run'

/home/vagrant/code/katello/app/lib/actions/middleware/keep_locale.rb:22:in `with_locale'

/home/vagrant/code/katello/app/lib/actions/middleware/keep_locale.rb:11:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:26:in `pass

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:17:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware.rb:30:in `run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/stack.rb:22:in `call

'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/middleware/world.rb:30:in `exec

ute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:511:in `block (2 leve

ls) in execute_run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:510:in `catch'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:510:in `block in exec

ute_run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:425:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:425:in `block in with

_error_handling'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:425:in `catch'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:425:in `with_error_ha

ndling'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:505:in `execute_run'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/action.rb:266:in `execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract_f

low_step.rb:9:in `block (2 levels) in execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract.r

b:155:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract.r

b:155:in `with_meta_calculation'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract_f

low_step.rb:8:in `block in execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract_f

low_step.rb:22:in `open_action'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/execution_plan/steps/abstract_f

low_step.rb:7:in `execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/director.rb:42:in `execute'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/executors/parallel/worker.rb:11

:in `on_message'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/context.rb

:46:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

executes_context.rb:7:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/dynflow-0.8.24/lib/dynflow/actor.rb:26:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

awaits.rb:15:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

sets_results.rb:14:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

buffer.rb:38:in `process_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

buffer.rb:31:in `process_envelopes?'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

buffer.rb:20:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

termination.rb:55:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

removes_child.rb:10:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

abstract.rb:25:in `pass'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/

sets_results.rb:14:in `on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:16

1:in `process_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:95

:in `block in on_envelope'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:11

8:in `block (2 levels) in schedule_execution'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_l

ockable_object.rb:38:in `block in synchronize'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_l

ockable_object.rb:38:in `synchronize'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_l

ockable_object.rb:38:in `synchronize'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/core.rb:11

5:in `block in schedule_execution'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_e

xecution.rb:18:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_e

xecution.rb:18:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_e

xecution.rb:96:in `work'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serialized_e

xecution.rb:77:in `block in call_job'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:348:in `call'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:348:in `run_task'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:337:in `block (3 levels) in create_worker'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:320:in `loop'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:320:in `block (2 levels) in create_worker'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:319:in `catch'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_thread_

pool_executor.rb:319:in `block in create_worker'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `ca

ll'

/home/vagrant/.rvm/gems/ruby-2.2.4/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `bl

ock in create_with_logging_context'

History

#1 - 05/31/2017 02:07 PM - Justin Sherrill

- Assignee changed from Partha Aji to John Mitsch

- Target version changed from 194 to 193

- translation missing: en.field_release set to 228

05/20/2024 8/9



#2 - 06/06/2017 09:18 AM - Brad Buckingham

- Target version changed from 193 to 196

#3 - 06/07/2017 09:35 PM - Eric Helms

- translation missing: en.field_release changed from 228 to 258

#4 - 06/26/2017 02:44 PM - Eric Helms

- translation missing: en.field_release changed from 258 to 267

#5 - 06/27/2017 02:25 PM - John Mitsch

Do you have ostree installed on the fpc? I had the same error as you until I installed ostree on the proxy (latest dev/master). But now seeing a new

error that is coming from ostree OST0002: Pulling remote refs failed. Reason: GLib.Error('Error performing TLS handshake: An illegal TLS extension

was received.', 'g-tls-error-quark', 1)

#6 - 06/28/2017 02:48 PM - Eric Helms

- Status changed from New to Need more information

#7 - 06/28/2017 02:49 PM - Eric Helms

- Assignee changed from John Mitsch to Partha Aji

#8 - 07/06/2017 06:19 AM - Brad Buckingham

- Target version changed from 196 to 202

#9 - 07/10/2017 09:49 AM - John Mitsch

The above error I mentioned is most likely related to this bug in ostree

Error: OST0002: Pulling remote refs failed. Reason: GLib.Error('Error performing TLS handshake: An illegal TLS extension was received.',

'g-tls-error-quark', 1)

Bug: https://bugzilla.redhat.com/show_bug.cgi?id=1444903

#10 - 07/12/2017 02:46 PM - Justin Sherrill

- translation missing: en.field_release changed from 267 to 281

#11 - 07/18/2017 08:48 AM - Brad Buckingham

- Target version changed from 202 to 205

#12 - 07/26/2017 02:32 PM - Justin Sherrill

- translation missing: en.field_release changed from 281 to 286

#13 - 08/08/2017 07:28 AM - Brad Buckingham

- Target version changed from 205 to 208

#14 - 08/11/2017 10:30 AM - Brad Buckingham

- Target version changed from 208 to 160

#15 - 08/29/2017 02:30 PM - Eric Helms

- translation missing: en.field_release changed from 286 to 295

#16 - 01/10/2019 12:51 PM - Ewoud Kohl van Wijngaarden

- Target version deleted (Katello 3.4.6)
